Name: fox
Version: 1.0.47
Release: alt1

Summary: The FOX C++ GUI Toolkit
License: LGPL
Group: System/Libraries
Url: http://www.fox-toolkit.org/fox.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.fox-toolkit.org/pub/%name-%version.tar.gz

# Automatically added by buildreq on Wed Nov 12 2003
BuildRequires: XFree86-devel-static gcc-c++ glibc-devel-static libGLU-devel libjpeg-devel libpng-devel libstdc++-devel libtiff-devel zlib-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n lib%name
Summary: The FOX C++ GUI Toolkit shared libraries
Group: System/Libraries

%description -n lib%name
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n lib%name-devel
Summary: Development files and documentation for the FOX GUI toolkit.
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
The fox-devel package contains the files necessary to develop applications
using the FOX GUI toolkit: the header files, the reswrap resource compiler,
manual pages, and HTML documentation.

%package -n lib%name-devel-static
Summary: A version of the FOX GUI toolkit for static linking.
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
The fox-static package contains the files necessary to link applications
to the FOX GUI toolkit statically (rather than dynamically). Statically
linked applications do not require the library to be installed on the system
running the application.

%package examples
Summary: FOX example applications
Group: Development/Other
Requires: lib%name = %version-%release

%description examples
The fox-example-apps package contains executables for several FOX-based
applications, including Adie, calculator and PathFinder.

%prep
%setup -q

%build
%configure  --with-opengl=opengl \
	    --enable-release

%make_build

%install
%makeinstall
%__install -pD pathfinder/PathFinder %buildroot%_bindir/PathFinder
%__rm -rf html
%__cp -r doc html

%__rm -rf %buildroot%_prefix/%name

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS README 

%files -n lib%name-devel
%_bindir/reswrap
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_man1dir/reswrap.*
%doc html
%doc ADDITIONS INSTALL TRACING

%files -n lib%name-devel-static
%_libdir/libFOX.a

%files examples
%_bindir/adie
%_bindir/PathFinder
%_bindir/calculator
%_man1dir/adie.*
%_man1dir/PathFinder.*
%_man1dir/calculator.*

%changelog
* Wed Nov 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.47-alt1
- 1.0.47

* Tue Jun 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.41-alt1
- 1.0.41

* Wed Feb 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.32-alt1
- 1.0.32

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.26-alt1
- 1.0.26
- %%files section fixed for lib%name-devel package.

* Mon Sep 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.22-alt1
- Adopted for Sisyphus.
- 1.0.22 

* Tue Oct 10 2000 David Sugar <dyfet@ostel.com> 0.99.132-3
- rtti forced for rpm build specs that use -fno-rtti.

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.122-1
- new version

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.119-1
- new version

* Sun Mar 05 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b>
- some adaptations

* Tue Nov 10 1998 Ren van Paassen <M.M.vanPaassen@lr.tudelft.nl>
- initial package

